Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ResponseEnquiryItemType

    java.lang.Object
      nz.co.cks.tms.xml.ResponseEnquiryItemType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ResponseEnquiryItem

public abstract class ResponseEnquiryItemType
extends java.lang.Object
implements java.io.Serializable

Class ResponseEnquiryItemType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private boolean` | `_has_ncbId` keeps track of state for field: _ncbId
`private java.util.Vector` | `_itemCostList` Field _itemCostList
`private int` | `_ncbId` Field _ncbId
`private java.lang.String` | `_serviceCode` Field _serviceCode

Constructor Summary
`ResponseEnquiryItemType()`

Method Summary
`void` | `addItemCost(int index, ItemCost vItemCost)` Method addItemCost
`void` | `addItemCost(ItemCost vItemCost)` Method addItemCost
`java.util.Enumeration` | `enumerateItemCost()` Method enumerateItemCost
`ItemCost[]` | `getItemCost()` Method getItemCost
`ItemCost` | `getItemCost(int index)` Method getItemCost
`int` | `getItemCostCount()` Method getItemCostCount
`int` | `getNcbId()` Method getNcbIdReturns the value of field 'ncbId'.
`java.lang.String` | `getServiceCode()` Method getServiceCodeReturns the value of field 'serviceCode'.
`boolean` | `hasNcbId()` Method hasNcbId
`boolean` | `isValid()` Method isValid
`void` | `removeAllItemCost()` Method removeAllItemCost
`ItemCost` | `removeItemCost(int index)` Method removeItemCost
`void` | `setItemCost(int index, ItemCost vItemCost)` Method setItemCost
`void` | `setItemCost(ItemCost[] itemCostArray)` Method setItemCost
`void` | `setNcbId(int ncbId)` Method setNcbIdSets the value of field 'ncbId'.
`void` | `setServiceCode(java.lang.String serviceCode)` Method setServiceCodeSets the value of field 'serviceCode'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _has_ncbId

    private boolean _has_ncbId

  keeps track of state for field: _ncbId

### _itemCostList

    private java.util.Vector _itemCostList

  Field _itemCostList

### _ncbId

    private int _ncbId

  Field _ncbId

### _serviceCode

    private java.lang.String _serviceCode

  Field _serviceCode

Constructor Detail

### ResponseEnquiryItemType

    public ResponseEnquiryItemType()

Method Detail

### addItemCost

    public void addItemCost(int index,
                            ItemCost vItemCost)
                     throws java.lang.IndexOutOfBoundsException

  Method addItemCost

  Parameters:
    `index` -
    `vItemCost` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addItemCost

    public void addItemCost(ItemCost vItemCost)
                     throws java.lang.IndexOutOfBoundsException

  Method addItemCost

  Parameters:
    `vItemCost` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateItemCost

    public java.util.Enumeration enumerateItemCost()

  Method enumerateItemCost

### getItemCost

    public ItemCost[] getItemCost()

  Method getItemCost

### getItemCost

    public ItemCost getItemCost(int index)
                         throws java.lang.IndexOutOfBoundsException

  Method getItemCost

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getItemCostCount

    public int getItemCostCount()

  Method getItemCostCount

### getNcbId

    public int getNcbId()

  Method getNcbIdReturns the value of field 'ncbId'.

  Returns:
    the value of field 'ncbId'.

### getServiceCode

    public java.lang.String getServiceCode()

  Method getServiceCodeReturns the value of field 'serviceCode'.

  Returns:
    the value of field 'serviceCode'.

### hasNcbId

    public boolean hasNcbId()

  Method hasNcbId

### isValid

    public boolean isValid()

  Method isValid

### removeAllItemCost

    public void removeAllItemCost()

  Method removeAllItemCost

### removeItemCost

    public ItemCost removeItemCost(int index)

  Method removeItemCost

  Parameters:
    `index` -

### setItemCost

    public void setItemCost(int index,
                            ItemCost vItemCost)
                     throws java.lang.IndexOutOfBoundsException

  Method setItemCost

  Parameters:
    `index` -
    `vItemCost` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setItemCost

    public void setItemCost(ItemCost[] itemCostArray)

  Method setItemCost

  Parameters:
    `itemCostArray` -

### setNcbId

    public void setNcbId(int ncbId)

  Method setNcbIdSets the value of field 'ncbId'.

  Parameters:
    `ncbId` - the value of field 'ncbId'.

### setServiceCode

    public void setServiceCode(java.lang.String serviceCode)

  Method setServiceCodeSets the value of field 'serviceCode'.

  Parameters:
    `serviceCode` - the value of field 'serviceCode'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD